<template>
  <div id="popupWrapper" v-show="!isUserAuth">
    <form action="#" id="login-form">
      <div class="heading">Login to imagestock</div>
      <div class="soc-wrapper">
        <div class="connect">Connect with</div>
        <div class="soc-icons">
          <img
            src="@/assets/images/google-icon.png"
            alt="google"
            @click="googleSignIn"
          />
        </div>
      </div>
    </form>
  </div>
</template>

<script>
export default {
  name: "LoginPopup",
  data() {
    return {};
  },
  computed: {
    isUserAuth() {
      return this.$store.getters.isUserAuth;
    },
  },
  methods: {
    async googleSignIn() {
      this.$store.dispatch("googleSignIn");
    },
  },
};
</script>

<style lang="scss" scoped>
@import "../assets/style/main.scss";

#popupWrapper {
  width: 100vw;
  height: 100vh;
  position: absolute;
  top: 0;
  left: 0;
  background: rgba(255, 255, 255, 0.8);
  /* display: none; */
}

form#login-form {
  width: 20em;
  position: absolute;
  top: 50%;
  left: 50%;
  background: #fff;
  transform: translate(-50%, -50%);
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;

  div.heading {
    background: #f85f64;
    color: #fff;
    text-align: center;
    text-transform: uppercase;
    font-weight: bold;
    padding: 1.5em;
    font-size: 1.1em;
  }

  div.soc-wrapper {
    padding: 1.7em 1.5em 2.5em 1.5em;
  }
}

div.soc-wrapper {
  div.connect {
    color: gray;
    font-size: 1.1em;
    text-align: center;
  }

  .soc-icons {
    display: flex;
    width: 100%;
    justify-content: space-evenly;
    margin-top: 2em;
  }

  img {
    width: 3em;
    cursor: pointer;

    transition: transform 0.2s;
    &:hover {
      transform: scale(1.1);
    }
  }
}
</style>